Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# Disable tests due to the way errors are now thrown
%global enable_tests 0

Name:           nodejs-resolve
Version:        1.7.1
Release:        alt1_3
Summary:        Resolve like require.resolve() on behalf of files asynchronously/synchronously

License:        MIT
URL:            https://github.com/substack/node-resolve
Source0:        https://registry.npmjs.org/resolve/-/resolve-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/resolve
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/resolve

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%tap test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc readme.markdown example/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/resolve


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.7.1-alt1_3
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_3
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_2
- fc import

